import { Pagination } from "antd";
import { ReactNode } from "react";
import "twin.macro"

interface Props {
    content: ReactNode,
    current: number,
    onChange: (value) => void,
    total: number,
}

export default function(props: Props) {
    const { content, current, total, onChange } = props;
    return <div tw="flex flex-row justify-end items-center w-full mt-3">
        <div tw="mr-4"> 求和金额： {content} </div>
        <Pagination 
            pageSize={20}
            current={current}
            total={total}
            showTotal={total => <div> 合计 {total}条 </div>}
            onChange={onChange}
        />
    </div>
}