import { useLayoutStore } from '@st/layout_store';
import { FC } from 'react';
import tw, { styled } from 'twin.macro';

const Mask = styled.div(({ visible }: { visible: boolean }) => [
  visible ? tw`block` : tw`hidden`,
  tw`fixed top-0 left-0 w-screen h-screen bg-black opacity-50 z-[1001]`
]);

export const GlobalMask: FC = () => {
  const visible = useLayoutStore.use.maskVisible();

  return <Mask visible={visible} />;
};
