import tw from 'twin.macro';

/**
 * 带有一级阴影的空白面板。
 */
export const Panel = tw.div`border rounded-sm p-2 bg-white border-gray-3`;

/**
 * 定义了垂直布局的空白面板。
 */
export const VerticalPanel = tw(Panel)`h-full w-full flex flex-col justify-start p-2 space-y-2`;

/**
 * 定义了水平布局的空白面板。
 */
export const HorizontalPanel = tw(Panel)`h-full w-full flex flex-col justify-start p-2 space-x-2`;
