import BaseError from './BaseError';

/**
 * 用于表示访问远程数据服务出现的错误，通常都是服务端主动报错。
 */
export default class RemoteServiceError extends BaseError {
  private code: number;

  constructor(code: number, message: string) {
    super(message);
    this.code = code;
  }

  get ErrCode(): number {
    return this.code;
  }

  get ErrMessage(): string {
    return this.message;
  }
}
