import { useBreadcrumbStore } from '@st/breadcrumb_store';
import { useEffect } from 'react';
import { useLocation } from 'react-router-dom';

export function useBreadcrumb(label: string, replace = false) {
  // const link = useHref();
  const location = useLocation();
  const pushBreadcrumb = useBreadcrumbStore.use.push();
  const popBreadcrumb = useBreadcrumbStore.use.pop();
  const replaceBreadcrumb = useBreadcrumbStore.use.replace();

  useEffect(() => {
    if (replace) replaceBreadcrumb({ label, link: location.pathname + location.search });
  }, []);
  useEffect(() => {
    if (!replace) pushBreadcrumb({ label, link: location.pathname + location.search });
    return () => popBreadcrumb();
  }, []);
}
