import { useState } from 'react';
import { useDebounce } from 'react-use';

/**
 * 防抖实现输入选择器的基本逻辑
 */
export function useSelectWithSearch() {
  // 用户要搜索的内容
  const [searchTemp, setSearchTemp] = useState('');
  const [search, setSearch] = useState('');
  useDebounce(() => setSearch(searchTemp), 800, [searchTemp]);

  return [search, setSearchTemp] as [string, typeof setSearchTemp];
}
