import { BaseResponse } from "@/shared/model-components";
import { ajaxEngine } from "./axios_instance";
import { unwrap } from '@u/asyncs';

/**
 * 查询角色所拥有权限
 * @param role 角色
 */
export async function getRolePermission(
    role: string
): Promise<BaseResponse & { data: string[], forbid_list: string[] }> {
    const response = await ajaxEngine().get(`/permission/${role}`);
    // eslint-disable-next-line @typescript-eslint/no-unsafe-call
    return unwrap(response);
}


/**
 * 修改角色所拥有权限
 * @param role 角色
 * @param data 权限列表
 */
export async function updateRolePermission(
    role: string,
    data: string[],
): Promise<BaseResponse> {
    const response = await ajaxEngine().put(`/permission`, {
        role,data
    });
    // eslint-disable-next-line @typescript-eslint/no-unsafe-call
    return unwrap(response);
}