/**
 * 充值记录
 */
export interface ChargeInfo {
  /** 充值账号 */
  account: string;
  /** 充值金额 */
  amount: string;
  /** 充值记录ID */
  id: string;
  /** 表计编号 */
  meter: string;
  /** 表计地址 */
  meterAddress: string;
  /** 充值方式，0：现金，1：银行卡，2：支付宝，3：微信，4：云闪付 */
  paymentType: PaymentType;
  /** 同步状态，0：未同步，1：同步成功，2：同步失败 */
  syncStatus: SyncStatus;
  /** 商户ID */
  tenement: string;
  /** 商户名称 */
  tenementName: string;
  /** 充值时间，格式：yyyy-MM-dd HH:mm:ss */
  toppedUpAt: string;
  /** 取消时间，格式：yyyy-MM-dd HH:mm:ss */
  cancelledAt: string;
  /** 付款凭证号*/
  voucherNo: string;
  /** 操作时间 */
  paymentAt: string;
}


export enum ChargeType {
  "充值",
  "冲正",
  "退费"
}

/**
 * 充值方式
 */
export const enum PaymentType {
  Cash,
  Card,
  Alipay,
  Wechat,
  UnionPay,
  Public_Transfer,
  C_Wechat
}

/**
 * 同步状态
 */
export const enum SyncStatus {
  UnSync,
  Success,
  Failure
}
