export type Log = {
  /** 操作时间 */
  time: string,
  /** 操作账号 */
  username: string,
  /** 操作人姓名 */
  nickName: string,
  /** 操作类型（0-园区新建，1-删除，2-修改、3-停用，4-商户的新建，5-修改、6-迁出、7-表计的新建、8-修改，9-换表、10-绑定、11-解绑、 12-抄表记录的新建、13-修改，14-电费核算、15-发布、16-导出，17-账务的新增、18-余额查询、19-售电充值的新增、20-充正新增、21-商户退费、22-发票开具、23-新开发票、24-已开发票、25-录入发票号，26-权限设置：修改权限，27-子账号的创建、28-删除、29-修改。 */
  type: string,
  /** 操作内容 */
  content: string,
  /** 操作id */
  id: string,
}
export enum LogType {
  '新建园区',
  '删除园区',
  '修改园区',
  '启/停用园区',
  '新建商户',
  '修改商户',
  '迁出商户',
  '新建表计',
  '修改表计',
  '换表表计',
  '绑定表计',
  '解绑表计',
  '新建抄表记录',
  '修改抄表记录',
  '电费核算',
  '发布核算',
  '导出核算',
  '新增账务',
  '余额查询',
  '新增充值',
  '新增冲正',
  '商户退费',
  '发票开具',
  '新开发票',
  '已开发票',
  '录入发票号',
  '权限设置',
  '创建子账号',
  '删除子账号',
  '修改子账号',
  '绑定公摊表',
  "修改充值",
  "查看售电记录",
  "新增退补电量",
  "退补电量列表",
  "撤回发布账单",
  "余额导入",
  "报表查询",
  "新增流程",
  "编辑流程",
  "删除流程",
  "新增审批",
  "审批",
  "余额模板导出",
  "报表导出",
  "文件上传",
  "文件删除",
  "监管账号用户查询",
  "监管运维账号-创建监管账号",
  "监管运维账号-查询用户详细信息",
  "监管运维账号-修改用户状态",
  "监管运维账号-创建企业用户",
  "监管运维账号-搜索企业用户",
  "监管运维账号-更新用户凭据",
  "监管运维账号-企业用户服务期限延期处理",
}
