import {Meter04KvInfo, MeterReading, TenementInfo} from '@/shared/model-park';

/**
 * 抄表记录
 */
export interface ReadingInfo extends Meter04KvInfo, MeterReading {
  /**
   * 抄表时间，时间格式为 yyyy-MM-dd HH:mm:ss
   */
  readAt: string;
  /**
   * 抄表时间戳，与readAt对应的时间戳，索引记录用
   */
  readAtTimestamp: string;
  /** 商户全名 */
  fullName: string;
  /** 商户联系人 */
  contact?: string;
  /** 商户电话 */
  phone?: string;
}
/**
 * 退补电费列表
 */
export interface Refund {
  /**
   * 退补记录号
   */
  number: string;
  /**
   * 操作时间
   */
  operateTime: string;
  /** 商户 */
  tenement: TenementInfo,
  /** 表计 */
  meter?: Meter04KvInfo;
  /** 退补周期 */
  period?: string;
  /** 退补电量 */
  amount?: string;
  /** 备注 */
  remark?: string;
}
/**
 * 退补电费新增参数
 */
export interface RefundForm {
  /** 商户id */
  tenementId: string,
  /** 表号 */
  meterId: string,
  /** 周期 */
  period: any,
  /** 退补电量 */
  overall: number,
  /** 备注 */
  remark?: string,
}

/**
 * 退补电费修改参数
 */
export interface RefundUpdateForm {
  /** 记录id */
  id: string,
  /**  */
  meterId: string,
  /** 周期 */
  period: string,
  /** 退补电量 */
  overall: number,
  /** 备注 */
  remark?: string,
}
