import { Callback } from './foundation';

/**
 * 用于向组件提供是否处于激活状态的配置。
 */
export interface ActivedProps {
  /**
   * 当前组件是否处于激活状态。
   */
  actived?: boolean;
}

/**
 * 用于抽屉以及对话框组件配置打开与关闭时的回调。
 * ! 如果回调函数需要接受参数，必须重载覆盖本接口中的方法。
 */
export interface CommonModalProps {
  /**
   * 执行打开时运行的回调。
   */
  onOpen?: Callback;

  /**
   * 执行关闭时运行的回调。
   */
  onClose?: Callback;

  /**
   * 执行打开前运行的回调。
   */
  onBeforeOpen?: Callback;

  /**
   * 执行打开后运行的回调。
   */
  onAfterOpen?: Callback;

  /**
   * 执行关闭前运行的回调。
   */
  onBeforeClose?: Callback;

  /**
   * 执行关闭后运行的回调。
   */
  onAfterClose?: Callback;
}
